if (exist('testno')==0)
    testno='XX';
else
    testno=num2str(testno);
end
fprintf('Select a negative time to QUIT!\n')
while(true)
    slipPt=ginput(1);
    if slipPt(1)<0
        return;
    end
    timePt=max(find(time<slipPt(1)));  %Find the nearest time step before the point selected
    mu=sqrt((filtdata(timePt,1))^2+(filtdata(timePt,2))^2)/abs(filtdata(timePt,3));  % Calculate mu=(sqrt(Fx^2+Fy^2))/Fz
    fprintf(['#' testno ' The calculated friction coef is: %1.4f\n'],mu);
end
